%%
%% This is file `ijdc-v9.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% dccpaper.dtx  (with options: `ijdc9')
%% 
%% ----------------------------------------------------------------
%% The dccpaper bundle: Classes for submissions to DigitCult
%% Author:  Luca A. Ludovico
%% E-mail:  luca.ludovico@unimi.it
%% License: Released under the LaTeX Project Public License v1.3c or later
%% See:     http://www.latex-project.org/lppl.txt
%% ----------------------------------------------------------------
%% 

\def\Version{2014/08/07 v1.3}
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{dc-v1.1}
    [\Version\space Class for submissions to the Scientific Journal on Digital Cultures]

% The type of paper is recorded in |\dccp@type|. The possible values are
% `General Article', `Peer-Reviewed Paper', or `Editorial'.
% The latter is provided through the constant |\dccp@editorial| so we can
% test for it later with ease.

\def\dccp@type{General Article}
\def\dccp@editorial{Editorial}

% These three options set |\dccp@type| appropriately. The |editorial|
% option additionally switches page numbers to roman numerals.
% The |article| option is redundant, but included for symmetry.

\DeclareOption{editorial}{\let\dccp@type=\dccp@editorial%
  \AtBeginDocument{% Editorials use Roman numerals for page numbers
    \pagenumbering{roman}%
    \renewcommand{\thelastpage}{\@roman\c@lastpage}%
  }%
}
% \DeclareOption{paper}{\def\dccp@type{Peer-Reviewed Paper}}
\DeclareOption{paper}{\def\dccp@type{Scientific Journal on Digital Cultures}}
% \DeclareOption{article}{\def\dccp@type{General Article}}
\DeclareOption{article}{\def\dccp@type{Scientific Journal on Digital Cultures}}
\ProcessOptions\relax

%
% These definitions are used to fill out the headers and footers. They include
% some details that are defined in \textsf{dccpaper-base.tex} and provided by
% the user: |\thedate|, |\thevolume|, |\theissue|, |\thelastpage|, |\thedoi|.
%
\def\dccp@publ@long{Scientific Journal on Digital Cultures}
\def\dccp@publ@short{DigitCult}
\def\dccp@publ@msg{\emph{\dccp@publ@short,~\dccp@publ@long} is an academic journal of international scope, peer-reviewed and open access, aiming to value international research and to present current debate on digital culture, technological innovation and social change. ISSN: 2531-5994. URL: \url{http://www.digitcult.it}}

\def\dccp@titlefoot@bib{%
  \dccp@publ@short\\
  \thedate, Vol.\ \thevolume, Iss.\ \theissue, \thepage--\thelastpage.%
}
\def\dccp@titlefoot@doi{%
  \url{http://dx.doi.org/\thedoi}\\
  DOI: \thedoi
}
\def\dccp@normhead@doi{doi:\thedoi}

%
% |\dccp@subject| will be used for the PDF subject, and will specify the journal
% and the issue.
%
\def\dccp@subject{\dccp@publ@long, \thedate, Vol.\ \thevolume, Iss.\ \theissue}

%
% The rest of the formatting happens in the following file.
%
\input{dc-v1.1-base}
%% 
%% Copyright (C) 2014 Digital Curation Centre, University of Edinburgh
%% <info@dcc.ac.uk>
%%
%% End of file `ijdc-v9.cls'.
